[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# TrimURLPath

Removes leading and trailing whitespace in the file path for the specified URL.

## Declaration

Source position: lazhelpintf.pas line 598

`function TrimURLPath(`
`const URLPath: string`
`):string;`

## Arguments

`URLPath` |  | URL examined in the routine.

## Function result

File path for the URL after removing whitespace.

## Description

TrimURLPath is a String function used to remove leading and trailing whitespace that occurs in the file path specified in URLPath. TrimURLPath converts the file path to a file name on the local file system, removes whitespace, and reconverts the file name to a valid URL file path.

TrimURLPath calls URLPathToFilename to get the file name portion of the URL, and calls TrimFilename to remove leading and trailing whitespace. TrimURLPath calls FilenameToURLPath to get the return value for the function.

## See also

URLPathToFilename
TrimFilename
FilenameToURLPath